import EventEmitter from "eventemitter3";
export declare class Task {
    state: "idle" | "start" | "end";
    index: number;
    slideIndex: number;
    private fn;
    private eventHub;
    id: string;
    constructor(index: number, slideIndex: number, fn: () => Promise<void>, eventHub: EventEmitter, id: string);
    apply(): Promise<void>;
}
export declare class RenderingTaskManager {
    eventHub: EventEmitter;
    private tasks;
    private index;
    constructor();
    private replaceIdleTask;
    addTask(fn: () => Promise<void>, slideIndex: number, id: string): void;
    hasStartTask(): boolean;
    destroy(): void;
}
